{
    num: -32048,
    accuracy: 100,
    basePower: 90,
    category: "Physical",
    name: "Gaia Horn",
    pp: 10,
    priority: 0,
    flags: { contact: 1, protect: 1, mirror: 1, horn: 1 },
    secondary: {
      chance: 20,
      onHit(target, source, move) {
        if (this.field.isWeather(["sunnyday", "desolateland"])) {
          target.setStatus("brn", source, move);
        } else if (this.field.isWeather(["raindance", "primordialsea"])) {
          target.addVolatile("confusion", source, move);
        } else if (this.field.isWeather("sandstorm")) {
          target.setStatus("par", source, move);
        } else if (this.field.isWeather(["snow", "hail"])) {
          target.setStatus("frz", source, move);
        } else {
          target.addVolatile("flinch", source, move);
        }
      }
    },
    target: "normal",
    type: "Grass"
}